coupang
GET/v2/providers/fms/apis/api/v1/vendors/{vendorId}/requested/{requestedId}v1

[立减优惠券] 确认请求状态

# 01

简介

API支持的买家用户地区:韩国 通过 requestedId 查看立减优惠券API的请求结果。 调用 优惠券 创建 ,删除, 优惠券添加至 单品,单品 中删除API时,使用响应的 requestedId 值 查看 成功/失败 (Done/fail) 结果。

# 02

详细内容

API支持的买家用户地区:韩国

通过requestedId查看立减优惠券API的请求结果。调用优惠券创建,删除,优惠券添加至单品,单品中删除API时,使用响应的requestedId查看成功/失败(Done/fail)结果。 

路径

GET

/v2/providers/fms/apis/api/v1/vendors/{vendorId}/requested/{requestedId}

示例

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v1/vendors/A00000001/requested/649102321051192483

请求参数

Name 

Required 

Type 

Description 

vendorId 

O 

String 

卖家ID 

酷澎分配给卖家的固有代 

e.g.) A00012345 

requestedId 

O 

Number 

要查看结果的ID 

请求体

返回消息

Name 

Type 

Description 

code 

Number 

响应代码 

message 

String 

响应信息 

httpStatus 

Number 

HTTP状态代码 (与服务器响应代码的值相同) 

httpStatusMessage 

String 

HTTP 状态信息 (与服务器响应信息的值相同) 

errorMessage 

String 

除HTTP Status 200以外,剩下Status 中包含服务器详细失败原因信息 

data 

Object 

执行成功与否的数据 

  

success 

Boolean 

成功与否 

true or false 

  

content 

Object 

处理状态的请求ID数据 

  

  

couponId 

Number 

优惠券ID(Wing优惠券号码 

e.g.) 70, 85, 778 

  

  

requestedId 

String 

查看处理状态的请求ID  

e.g.) 1542675975663862164 

  

  

status 

String 

处理状态 

代码 

状态 

REQUESTED 

请求 

FAIL 

失败 

DONE 

成功 

 

  

  

succeeded 

Number 

成功个数 

  

  

total 

Number 

请求件数(*优惠券添加至单品时,所有vendorItemId的个数) 

  

  

type 

String 

请求类型 

代码 

说明 

COUPON_PUBLISH 

优惠券创建 

COUPON_EXPIRE 

优惠券取消 

COUPON_ITEM_PUBLISH 

优惠券添加至单品 

COUPON_ITEM_EXPIRE 

优惠券从单品中删除 

 

  

  

failed 

Number 

失败个数 

  

  

failedVendorItems 

Array 

失败信息的详情数据 

  

  

  

reason 

String 

失败原因 

  

  

  

vendorItemId 

Long 

失败的vendoritemId 

  

Pagination 

null 

无分页 

返回消息示例

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": {
      "couponId": 778,
      "requestedId": "4080133932843441",
      "type": "COUPON_PUBLISH",
      "status": "DONE",
      "total": 1,
      "succeeded": 1,
      "failed": 0,
      "failedVendorItems": []
    },
    "pagination": null
  }
}

错误信息

HTTP status code (Error type) 

Error message 

Solution 

400 (Check the requested parameter) 

请确认卖家权限 

查看卖家ID(vendorid)值是否输入正确。 

An example of data details on the failed items 

failedVendorItems":[{"vendorItemId":32261389517,"reason":" [CIE00] 无效属性Id. 

查看属性ID(vendoritemid)值是否输入正确。 

An example of data details on the failed items 

failedVendorItems":[{"vendorItemId":32261388477,"reason":" [CIR06]属性商品未找到. 

查看属性ID(vendoritemid)值是否输入正确。 

An example of data details on the failed items 

failedVendorItems":[{"vendorItemId":3226138847,"reason":"[CIR08] 该属性已添加了其它优惠券。 

查看属性ID(vendoritemid)值是否输入正确。